import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetProfile = createAsyncThunk(
  "SLAUGHTER_GET_PROFILE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house_operator/0/?profile", {
      params: d,
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
